{% extends 'layouts/base.html' %}
{% set templateClass = 'main-theme' %}
{% set externalScripts = ['https://cdnjs.cloudflare.com/ajax/libs/gsap/3.3.4/ScrollTrigger.min.js'] %}

{% block content %}
<div class="home inner-wrapper">
  <div class="intro flow">
    <h1 class="intro__title mixed-shadow" data-text="Hello, I'm Scott. I create things for the web.">Hello, I'm Scott. I create things for the web.</h1>
    <p class="intro__text h3">I like making websites that are <strong class="text-blue">fast</strong>, <strong>accessible</strong>, and <strong class="text-red">easy to use</strong>.</p>
    <p>This is a home for some side projects, thoughts, and helpful code snippets.</p>
    
    <div class="geometry solid-circles" aria-hidden="true">
      <div class="circle circle--pink"></div>
      <div class="circle circle--yellow"></div>
    </div>
  </div>
  <article class="posts">
    <h2 class="posts__header mixed-shadow-bg">recent posts ✐</h2>
    {% set postslist = collections.posts | limit(3)%}
    {% include "partials/posts-list.html" %}
    <a href="/posts" class="squiggle-link squiggle-link--red">View all posts</a>
  </article>
  <article class="snippets">
    <h2 class="snippets__header mixed-shadow-bg">code snippets ✄</h2>
    {% set postslist = collections.snippets | limit(3) %}
    {% include "partials/posts-list.html" %}
    <a href="/snippets" class="squiggle-link squiggle-link--red">View all snippets</a>
  </article>
  {% include 'partials/message-me.html'%}
  <div class="geometry line-grid-container" aria-hidden="true">
    <div class="line-grid line-grid--blue">
      {% for i in range(0, 100) -%}
        <div class="line-grid__cell"></div>
      {%- endfor %}
    </div>
    <div class="line-grid line-grid--yellow">
      {% for i in range(0, 100) -%}
        <div class="line-grid__cell"></div>
      {%- endfor %}
    </div> 
  </div>
</div>

{% endblock %}
